<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical"
    android:weightSum="5">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:orientation="vertical">

        <TextView
            android:id="@+id/remoteUser"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_margin="@dimen/margin_base"
            android:textColor="@color/sinch_black" />

        <TextView
            android:id="@+id/callState"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:text="@string/ringing"
            android:textAllCaps="false"
            android:textColor="@color/sinch_black" />

        <TextView
            android:id="@+id/callDuration"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="@dimen/margin_small"
            android:layout_marginBottom="@dimen/margin_base_plus"
            android:textAppearance="?android:attr/textAppearanceMedium"
            android:textColor="@color/sinch_black" />

    </LinearLayout>

    <RelativeLayout
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:layout_weight="3"
        android:orientation="vertical"
        android:padding="0dp">

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:paddingLeft="@dimen/margin_big"
            android:paddingRight="@dimen/margin_big"
            android:src="@drawable/ic_sinch_logotype_black_rgb" />

    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/bottomPanel"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:paddingBottom="@dimen/margin_big">

        <com.google.android.material.button.MaterialButton
            android:id="@+id/hangupButton"
            style="@style/Widget.MaterialComponents.Button.Icon"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_gravity="center_horizontal"
            android:layout_marginStart="@dimen/margin_average"
            android:layout_marginTop="@dimen/margin_small"
            android:layout_marginEnd="@dimen/margin_average"
            android:padding="@dimen/margin_base_plus"
            android:text="@string/end_call"
            android:textAlignment="center"
            android:textColor="@color/white"
            app:backgroundTint="@color/sinch_decline_red"
            app:icon="@drawable/ic_outline_call_end_24"
            app:iconGravity="textEnd" />

    </RelativeLayout>

</LinearLayout>
